global:
  registry: docker.io
  repository: freeleaps
  nodeSelector: {}
dashboard:
  enabled: false
  name: freeleaps-prod-notification-dashboard
  title: Notification Service Dashboard
  metricsPrefix: freeleaps_notification
logIngest:
  enabled: false
  lokiEndpoint: http://loki-gateway.freeleaps-logging-system
  logPathPattern: /app/log/notification/*.log
  logPath: /app/log/notification
notification:
  replicas: 1
  image:
    registry:
    repository: freeleaps
    name: notification
    tag: 1.0.0
    imagePullPolicy: IfNotPresent
  ports:
    - name: http
      containerPort: 8003
      protocol: TCP
  resources:
    requests:
      cpu: "0.5"
      memory: "512Mi"
    limits:
      cpu: "1"
      memory: "1Gi"
  # FIXME: Wait until the developers implements the probes APIs
  probes: {}
  services:
    - name: notification-service
      type: ClusterIP
      port: 8003
      targetPort: 8003
      serviceMonitor:
        enabled: false
        labels: {}
        namespace: ""
        internal: 30s
        scrapeTimeout: ""
  # Defaults to {}, which means doesn't have any ingress
  ingresses: {}
  configs:
    # TZ
    tz: "America/Settle"
    # APP_NAME
    appName: "notification"
    # SERVICE_API_ACCESS_HOST
    serviceApiAccessHost: "0.0.0.0"
    # SERVICE_API_ACCESS_PORT
    serviceApiAccessPort: "8003"
    # MONGODB_NAME
    mongodbName: ""
    # MONGODB_PORT
    mongodbPort: "27017"
    # RABBITMQ_HOST
    rabbitmqHost: ""
    # AUTH_SERVICE_ENDPOINT
    authServiceEndpoint: ""
    # RABBITMQ_PORT
    rabbitmqPort: ""
    # RABBITMQ_USERNAME
    rabbitmqUsername: ""
    # RABBITMQ_VRITUAL_HOST
    rabbitmqVritualHost: ""
    # SYSTEM_USER_ID
    systemUserId: ""
    # SMS_FROM
    smsFrom: ""
    # EMAIL_FROM
    emailFrom: ""
    # METRICS_ENABLED
    metricsEnabled: "false"
    # PROBES_ENABLED
    probesEnabled: "false"
  vpa:
    minAllowed:
      enabled: false
      cpu: "0.5"
      memory: "512Mi"
    maxAllowed:
      enabled: true
      cpu: "1"
      memory: "1Gi"
    controlledResources:
      - cpu
      - memory
  secrets:
    secretStoreRef:
      kind: FreeleapsSecretStore
      name: freeleaps-main-secret-store
    target:
      name: "freeleaps-notification-secrets"
      creationPolicy: "Owner"
    refreshInterval: 30s
    data:
      - key: mongodbUri
        remoteRef:
          key: "freeleaps-mongodb-uri"
          type: Secret
      - key: rabbitmqPassword
        remoteRef:
          key: "freeleaps-rabbitmq-password"
          type: Secret
      - key: secretKey
        remoteRef:
          key: "freeleaps-secret-key"
          type: Secret
      - key: sendgridApiKey
        remoteRef:
          key: "freeleaps-sendgrid-api-key"
          type: Secret
      - key: twilioAccountSid
        remoteRef:
          key: "freeleaps-twilio-account-sid"
          type: Secret
      - key: twilioAuthToken
        remoteRef:
          key: "freeleaps-twilio-auth-token"
          type: Secret